<bugID>974325<Summary>Some toolbar buttons keep being moved/readded to some toolbars after a restart</Summary><Description>I don't have specific STR for this bug, but I noticed that it mainly happens when I move stuff around, on the next restart, my toolbar layout gets messed up even more.

I keep having the same toolbar items being moved/readded to some toolbars. This is REALLY annoying, and I can't live with this anymore. It started happening one or two weeks ago.

This issue doesn't happen in safe mode or on a clean profile.
I'll try to restart with addon disabled see if the issue still happens.

Additional info :
The buttons that are readded/moved :
- Copy/Paste controls (to the navbar)
- Zoom controls (to the navbar)
- Home button (to the navbar)
- Find button (to the navbar)
- Some Classic theme restorer items that I removed from the toolbars (to the navbar)
- Some addon icons (mainly jetpack ones, to the ctr addon bar)
- A flexible space from CTR (to the addon bar)

-----------------------------------------------
browser.uiCustomization.state before a restart :

{"placements":{"PanelUI-contents":["edit-controls","zoom-controls","new-window-button","privatebrowsing-button","save-page-button","print-button","history-panelmenu","fullscreen-button","preferences-button","add-ons-button","switch-to-metro-button","characterencoding-button","open-file-button","find-button"],"toolbar-menubar":["menubar-items"],"TabsToolbar":["home-button","tabbrowser-tabs","new-tab-button","alltabs-button","tabview-button","tabs-closebutton"],"nav-bar":["urlbar-container","search-container","webrtc-status-button","bookmarks-menu-button","downloads-button","RIL_toolbar_button","window-controls","developer-button","social-share-button","modifyheaders-addonbar-button","main-button-container","social-status-button-mixedpuppy-github-io","social-mark-button-mixedpuppy-github-io","moreICUIPlus:button","widget:jid1-F9UJ2thwoAm5gQ@jetpack-lightbeam_Widget","ctr_puib_separator","ctr_panelui-button"],"ctr_addon-bar":["ctr_addonbar-close","personal-bookmarks","customizableui-special-separator3","fireftp-button","openwith-toolbarbox","stylish-toolbar-button","openwith-widget","youtube-audio-converter","colorzilla-navbar-button","awesome-screenshot-toolbarbutton","greasemonkey-tbb","leechblock-toolbar-button","widget:jid1-snoozetabs@jetpack-snoozetabs-btn","customizableui-special-separator2","widget:jid1-u6nQDbYs4ZJDAy@jetpack-cheat-time-widget","shockcollar-menu","critiques-button","firepost-toolbar-button","widget:jid1-BOjn8b0IM7kH2w@jetpack-main-widget","devtools-magnifier-button","QuickFoxNotes-toolbar-button","button-sqlitemanager","status4evar-options-button","igmail-notifier","abp-toolbarbutton","privateTab-toolbar-openNewPrivateTab","widget:jid0-bAVxsnQTFAI4C2hr1f29tpO45og@jetpack-colorhexa","widget:jid1-MmPSUxOfQgzzzw@jetpack-save-everything","widget:jid1-c3QwVRywqrH2iA@jetpack-smart-bookmarks","customizableui-special-separator1","sync-button","feed-button","email-link-button"],"ctr_extra-bar":["ctr_flexible_space_eb"],"addon-bar":["addonbar-closebutton","status-bar"],"PersonalToolbar":[]},"seen":[],"dirtyAreaCache":["PanelUI-contents","toolbar-menubar","TabsToolbar","nav-bar","ctr_addon-bar","ctr_extra-bar","addon-bar","PersonalToolbar"],"newElementCount":0}

----------------------------------------------
browser.uiCustomization.state after a restart : 

{"placements":{"PanelUI-contents":["new-window-button","privatebrowsing-button","save-page-button","print-button","history-panelmenu","fullscreen-button","preferences-button","add-ons-button","switch-to-metro-button","characterencoding-button","open-file-button"],"toolbar-menubar":["menubar-items"],"TabsToolbar":["tabbrowser-tabs","new-tab-button","alltabs-button","tabview-button","tabs-closebutton"],"nav-bar":["urlbar-container","search-container","webrtc-status-button","bookmarks-menu-button","downloads-button","RIL_toolbar_button","window-controls","developer-button","social-share-button","modifyheaders-addonbar-button","main-button-container","social-status-button-mixedpuppy-github-io","social-mark-button-mixedpuppy-github-io","moreICUIPlus:button","find-button","home-button","widget:jid1-F9UJ2thwoAm5gQ@jetpack-lightbeam_Widget","ctr_puib_separator","ctr_panelui-button","edit-controls","zoom-controls"],"ctr_addon-bar":["ctr_addonbar-close","personal-bookmarks","customizableui-special-separator3","fireftp-button","xulgear-toolbar-button","openwith-toolbarbox","stylish-toolbar-button","openwith-widget","youtube-audio-converter","colorzilla-navbar-button","awesome-screenshot-toolbarbutton","greasemonkey-tbb","leechblock-toolbar-button","widget:jid1-snoozetabs@jetpack-snoozetabs-btn","ctr_flexible_space_ab","customizableui-special-separator2","widget:jid1-u6nQDbYs4ZJDAy@jetpack-cheat-time-widget","shockcollar-menu","critiques-button","firepost-toolbar-button","widget:jid1-BOjn8b0IM7kH2w@jetpack-main-widget","devtools-magnifier-button","QuickFoxNotes-toolbar-button","button-sqlitemanager","abp-toolbarbutton","status4evar-options-button","igmail-notifier","privateTab-toolbar-openNewPrivateTab","widget:jid1-MmPSUxOfQgzzzw@jetpack-save-everything","widget:jid1-c3QwVRywqrH2iA@jetpack-smart-bookmarks","widget:jid0-bAVxsnQTFAI4C2hr1f29tpO45og@jetpack-colorhexa","customizableui-special-separator1","sync-button","feed-button","email-link-button"],"ctr_extra-bar":["ctr_flexible_space_eb"],"addon-bar":["addonbar-closebutton","status-bar"],"PersonalToolbar":[]},"seen":[],"dirtyAreaCache":["PanelUI-contents","toolbar-menubar","TabsToolbar","nav-bar","ctr_addon-bar","ctr_extra-bar","addon-bar","PersonalToolbar"],"newElementCount":0}</Description></bugID>